# Pangeos

A Minetest mod in development, providing a fully custom world gen, with custom blocks, decoration and more.  
Currently I am working on the most basic structure. It therefore does not add any new features, yet.  

This mod is not based or forked on any other mod and therefore is fully custom. However this mod is inspired by other Minetest world-gen mods like [Ethereal NG](https://content.minetest.net/packages/TenPlus1/ethereal/).

## Contribute
You are very welcome to contribute to this mod with your own ideas, your code, translations, textures and more.  
Due to not being a designer I'm not very happy with the textures I have designed, so I'd really appreciate contributions with textures. Please only contribute textures that you created yourself. Please do not use textures you did not design.

## Attributions
Some of the textures currently used were not designed by myself. You can find information regarding the used textures in the `LICENSE` file.

## Usage with other Minetest mods
This mod is developed for a specific Minetest game. This mod may or may not work with other Minetest mods that are not included into the Minetest game "Arbuinia". Be aware that this mod is "fine tuned" to be a part of the Arbuinia Minetest game and that many mods in that game are developed by me and are depending on each other.  
If you use this mod besides the default Minetest mod or on top of the default Minetest game it will be weird! This mod adds it's own dirt, grass, stone, etc. blocks and generates many biomes while only using it's own blocks. If you run it besides the default Minetest game / mod you will have two sorts of stone, dirt, grass, etc. with two different textures and with maybe different behaviour. Therefore **this is not recommended**.  
Be also aware that at the current time I'm not aware of any mods (that are not part of Arbuinia) that are compatible with this mod. So for e.g. if you'd use this mod as a standalone mod in your game and add a third-party mod that adds farming to the default Minetest game, this **will not** work with Pangeos. If somewhere in the future third party mods that aren't a part of Arbuinia will support this mod I will update this information and list them here.  

So long story short: Best experience with this mod is by using it the way it is intended (as a part of the Arbuinia game). If you use it in another way it can be weird and it can break things and it could also just not work at all.  

Thank you for your understanding!

## Why don't you use the default's game blocks?
Minetest is - in it's core - a game engine. I want to build a complete game with a custom experience with Arbuinia. I will use some mods that aren't developed specifically for Arbuinia **but** I will choose and test them carefully. The goal is to make something different from the default game to create a unique experience. Even if some things will be similaiar.

Test