-- Register a test biome
minetest.register_biome({
    name = "plains",
    node_top = "pangeos:dirt_with_grass",
    depth_top = 1,
    node_filler = "pangeos:dirt",
    depth_filler = 3,
    node_stone = "pangeos:stone",
    node_water_top = "pangeos:water_source",
    depth_water_top = 1,
    node_water = "pangeos:water_source",
    node_river_water = "pangeos:river_water_source",
    node_riverbed = "pangeos:stone",
    depth_riverbed = 2,
    vertical_blend = 4,
    y_min = 2,
    y_max = 31,
    heat_point = 50,
    humidity_point = 50,
})

minetest.register_biome({
    name = "plains_beach",
    node_top = "pangeos:sand",
    depth_top = 1,
    node_filler = "pangeos:sand",
    depth_filler = 3,
    node_riverbed = "pangeos:sand",
    depth_riverbed = 2,
    vertical_blend = 3,
    y_min = -4,
    y_max = 1,
    heat_point = 50,
    humidity_point = 50,
})

minetest.register_biome({
    name = "plains_sky",
    node_top = "air",
    depth_top = 1,
    node_filler = "air",
    node_riverbed = "air",
    y_min = 32,
    y_max = 31000,
    heat_point = 50,
    humidity_point = 50,
})

minetest.register_biome({
    name = "test_underground",
    node_top = "pangeos:stone",
    depth_top = 1,
    node_filler = "pangeos:stone",
    node_riverbed = "pangeos:stone",
    y_min = -31000,
    y_max = -5,
    heat_point = 50,
    humidity_point = 50,
})
