-- Register environmental nodes
minetest.register_node("pangeos:dirt_with_grass", {
    description = "Dirt with Grass",
    tiles = {"pangeos_grass.png", "pangeos_dirt.png", "pangeos_dirt.png^pangeos_grass_side.png"},
    is_ground_content = true,
    groups = {crumbly=3,soil=1,oddly_breakable_by_hand=1},
    drop = "pangeos:dirt",
    damage_per_second = 1,
})

minetest.register_node("pangeos:dirt", {
    description = "Dirt",
    tiles = {"pangeos_dirt.png"},
    is_ground_content = true,
    groups = {crumbly=3,soil=1},
    damage_per_second = 1,
})

minetest.register_node("pangeos:sand", {
    description = "Sand",
    tiles = {"pangeos_sand.png"},
    is_ground_content = true,
    groups = {crumbly=3, falling_node=1},
    damage_per_second = 1,
})

minetest.register_node("pangeos:stone", {
    description = "Stone",
    tiles = {"pangeos_stone.png"},
    is_ground_content = true,
    groups = {cracky=3},
    damage_per_second = 1,
})
